## conservation-code 20110309.0

=== debian/changelog ===
conservation-code (20110309.0-6) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Add fake watch file
  * Standards-Version: 4.1.1
  * debhelper 10
  * re-arrange d/rules

 -- Andreas Tille <tille@debian.org>  Fri, 06 Oct 2017 15:31:50 +0200

conservation-code (20110309.0-5) unstable; urgency=medium

  * Team upload
  [ Tatiana Malygina ]
  * add draft autopkgtest
  * fixed example file in test + added test with error in matrix path
  * upstream fix - to load identity matrix without error when no alignment
    matrix is found
  * add hardening
  * allow-stderr for testsuite to allow test pass instead of fail when matrix 
    file is not found
  * verbose output in test + check distributions usage
  * simplified debian/tests/non-default-params-test, but made more verbose 
    debian/README.test
  * cme fix dpkg-copyright

  [ Andreas Tille ]
  * install link to /usr/bin rather than copy of Python file
  * Add dh-python to Build-Depends (and drop unneeded perl)
  * Add debian/README.test
  * Secure Vcs-Browser

 -- Tatiana Malygina <merlettaia@gmail.com>  Thu, 02 Jun 2016 01:10:35 +0000

conservation-code (20110309.0-4) unstable; urgency=medium

  * added myself to Uploaders
  * moved debian/upstream to debian/upstream/metadata
  * add fake watch file to document that upstream does not provide
    versioned tarballs
  * cme fix dpkg-control
  * Priority: optional
  * debhelper 9
  * DEP5 fix
  * at least document in Files-Excluded what was removed in get-orig-source

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 12:00:44 +0100

conservation-code (20110309.0-3) unstable; urgency=low

  * Allow parsing of Stockholm format as well.
  * Python3 print().
  * usage() prints on stderr in case of error.
  * Errors are printed on stderr.
  * Implemented Eugene V. Lyubimkin's suggestions to d/rules (minor changes).

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 17 Dec 2012 15:26:04 +0100

conservation-code (20110309.0-1) unstable; urgency=low

  * Initial release. (Closes: #690058)

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 09 Oct 2012 17:34:05 +0200
