=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk
# DEB_SOURCE: the source package name

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

MANS=debian/score_conservation.1
prefix?=/usr

datarootdir:=${prefix}/share
docdir:=${datarootdir}/doc/$(DEB_SOURCE)
pkgdatadir:=${datarootdir}/$(DEB_SOURCE)


%:
	dh $@ --with python2

override_dh_auto_build: $(MANS)

ChangeLog: score_conservation.py
	# Courtesy of Jakub Wilk:
	sed -n -e '/# [0-9/]\{8\}/ { s/# // p }' < $< > $@

override_dh_installchangelogs: ChangeLog
	dh_installchangelogs

%.1:	%.1.pod
	sed -e 's|__docdir__|$(docdir)|g;s|__pkgdatadir__|$(pkgdatadir)|g;s|__VERSION__|$(DEB_VERSION_UPSTREAM)|g;' "$<" | \
	pod2man -c 'User Commands' -r "$(DEB_VERSION_UPSTREAM)" -name $(shell echo "$(basename $@)" | tr '[:lower:]' '[:upper:]') > "$@"

override_dh_install:
	dh_install -X._

override_dh_auto_clean:
	rm -f $(MANS) ChangeLog

# Policy §4.9 says that the get-orig-source target 'may be invoked in any directory'. So we do not use variables set from dpkg-parsechangelog.
get-orig-source:
	set -e; \
	if ! ( which xz >/dev/null ); then \
		echo "Could not find 'xz' tool for compression. Please install the package 'xz-utils'." >&2; \
		exit 1; \
	fi ; \
	t=$$(mktemp -d) || exit 1; \
	trap "rm -rf -- '$$t'" EXIT; \
	( cd "$$t"; \
		wget -O conservation-code_20110309.0.orig.tar.gz http://compbio.cs.princeton.edu/conservation/conservation_code.tar.gz; \
		gunzip *.tar.gz; \
		tar --owner=root --group=root --mode=a+rX --delete -f *.tar --wildcards '*/._*'; \
		xz --best *.tar; \
	); \
	mv $$t/*.tar.?z ./
