=== debian/tests/control ===
Tests: installation-test, non-default-params-test
Depends: @
Restrictions: allow-stderr
